> For the complete documentation index, see [llms.txt](https://docs.ixkio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ixkio.com/using-redirect-mode/redirect-basics.md).

# Redirect Basics

The Redirect Response Mode allows the control of tag destinations after tags have been deployed. It's a very powerful, flexible and easy to use option.&#x20;

When using the Redirect Response Mode, tags will link to the ixkio server first and then instantly redirect to your destination web page. You can change the destination and the redirect rules of your tags as many times as you like quickly and easily.&#x20;

## Getting Started with Redirect

{% embed url="<https://www.loom.com/share/cd1957eea10c446f9ef167da539d9c10?hideEmbedTopBar=true&hide_owner=true&hide_share=true&hide_title=true>" fullWidth="true" %}

## Key Features

### Rules

[Rules ](/features/rules.md)allow tag scans to be redirected via ixkio to your website/page based on criteria that you decide such as number of scans.&#x20;

For example, you can define a Rule that directs your tag scans to Page A on the first scan and then Page B for all subsequent scans.&#x20;

Rules can be set at the Tag Group Level or at the individual Tag Level.&#x20;

### Subtags & Datamerge

Ixkio allows the active creation of redirect links using system data. You can construct entire URL using data dependent on the user, system or location of the tag within the ixkio structure.&#x20;

Subtags allows data to be included within the URL. Datamerge allows data to be included onto the URL.&#x20;

For example :&#x20;

#### Subtags

Let's say you have a tag in a Batch called 'blue'. You create a rule with the URL : \
\
`https://authnfc.com/t-shirts/{batch}`

When the tags is scanned, the Batch name 'blue' is actively included into the URL to create :&#x20;

`https://authnfc.com/t-shirts/blue`

There's a large list of available subtags which allow you to create complex and powerful active links - either for changing landing pages or for website/Google analytics.

[Read more about Subtags](/features/subtags.md). &#x20;

#### Datamerge

Datamerge allows you to append data to the end of a URL. Let's say you have a URL such as :&#x20;

`https://authnfc.com/t-shirts/blue`

When the tags is scanned, datamerge can add data onto the end as a query string, such as :&#x20;

`https://authnfc.com/t-shirts/blue?size=medium`

[Read more about Datamerge.](/features/datamerge.md)&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ixkio.com/using-redirect-mode/redirect-basics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
